package com.devdaily.formlayout.demo;

import java.awt.*;
import javax.swing.*;

public class ReusableDialog extends JDialog
{
  private JPanel panel1;
  private BorderLayout borderLayout1=new BorderLayout();

  /**
   * You really, really want to use this method.
   * Really.
   */
  public ReusableDialog(Frame owner,String title,boolean modal,JPanel panel)
  {
    super(owner,title,modal);
    panel1 = panel;
    getContentPane().add(panel1);

    try
    {
      setDefaultCloseOperation(DISPOSE_ON_CLOSE);
    }
    catch(Exception exception)
    {
      exception.printStackTrace();
    }
  }

  public ReusableDialog(Frame owner,String title,boolean modal)
  {
    super(owner,title,modal);
    try
    {
      setDefaultCloseOperation(DISPOSE_ON_CLOSE);
    }
    catch(Exception exception)
    {
      exception.printStackTrace();
    }
  }

  public ReusableDialog()
  {
    this(new Frame(),"ReusableDialog",false);
  }

}
