package com.devdaily.formlayout.demo;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jgoodies.forms.builder.DefaultFormBuilder;
import com.jgoodies.forms.layout.*;

public class MainFrame extends JFrame
{
  private JButton btnShowProjectEditPanel2 = new JButton("Edit Project Panel");

  public MainFrame()
  {
    setSize(new Dimension(400, 300));
    setTitle("FormLayout Demo");
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    btnShowProjectEditPanel2.addActionListener(new ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        btnShowProjectEditPanel2_actionPerformed(e);
      }
    });
    JPanel panel = buildPanel();
    this.getContentPane().setLayout(new BorderLayout());
    this.getContentPane().add(panel);
  }

  public void btnShowProjectEditPanel2_actionPerformed(ActionEvent e)
  {
    EditProjectPanel pep = new EditProjectPanel();
    JPanel jp = pep.getPanel();
    ReusableDialog d = new ReusableDialog(this, "Edit Project Detail", true, jp);
    d.pack();
    d.setVisible(true);
  }

  private JPanel buildPanel()
  {
    FormLayout layout = new FormLayout("pref", "");
    DefaultFormBuilder builder = new DefaultFormBuilder(layout);
    builder.setDefaultDialogBorder();
    builder.append(btnShowProjectEditPanel2);

    return builder.getPanel();
  }

}
